// CSettingDlg.cpp : 実装ファイル
//

#include "pch.h"
#include "ReimuIcon.h"
#include "afxdialogex.h"
#include "CSettingDlg.h"


// CSettingDlg ダイアログ

IMPLEMENT_DYNAMIC(CSettingDlg, CDialogEx)

CSettingDlg::CSettingDlg(CWnd* pParent /*=nullptr*/)
	: CDialogEx(IDD_DIALOG1, pParent)
	, m_iColNum(0)
	, m_iBkComNum(0)
{

}

CSettingDlg::~CSettingDlg()
{
}

void CSettingDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Radio(pDX, IDC_RDO_BLACK, m_iColNum);
	DDX_Radio(pDX, IDC_RDO_BK_COL, m_iBkComNum);
}


BEGIN_MESSAGE_MAP(CSettingDlg, CDialogEx)
	ON_BN_CLICKED(IDOK, &CSettingDlg::OnBnClickedOk)
END_MESSAGE_MAP()


// CSettingDlg メッセージ ハンドラー


BOOL CSettingDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	// TODO: ここに初期化を追加してください
	this->UpdateData(FALSE);			// 値をコンポーネントに反映

	return TRUE;  // return TRUE unless you set the focus to a control
				  // 例外 : OCX プロパティ ページは必ず FALSE を返します。
}


void CSettingDlg::OnBnClickedOk()
{
	// TODO: ここにコントロール通知ハンドラー コードを追加します。
	this->UpdateData(TRUE);				// コンポーネントの状態を変数に反映
	if ((m_iColNum == BLACK) && (m_iBkComNum == BK_BLACK)) {
		this->MessageBox(_T("文字色の黒と背景色の黒の組み合わせは不可です。別の組み合わせにしてください"),
			_T("警告"), MB_ICONWARNING);

		return;
	}
	CDialogEx::OnOK();
}
